Changeset 211


Ignore:
Timestamp:
2005-02-06T01:52:16+01:00 (13 years ago)
Author:
mbm
Message:

openwrt root filesystem

Location:
trunk/openwrt/target/default/target_skeleton
Files:
17 added
5 edited

Legend:

Unmodified
Added
Removed
  • trunk/openwrt/target/default/target_skeleton/etc/init.d/S40network

    r197 r211  
    11#!/bin/sh 
    2 # 
    3 # Start the network.... 
    4 # 
     2. /etc/functions.sh 
     3case "$1" in 
     4  start|restart) 
     5    ifup lan 
     6    ifup wan 
     7    ifup wifi 
     8    wifi up 
    59 
    6 start() { 
    7         echo "Starting network..." 
    8         /sbin/ifup -a 
    9 }        
    10 stop() { 
    11         echo -n "Stopping network..." 
    12         /sbin/ifdown -a 
    13 } 
    14 restart() { 
    15         stop 
    16         start 
    17 }        
    18  
    19 case "$1" in 
    20   start) 
    21         start 
    22         ;; 
    23   stop) 
    24         stop 
    25         ;; 
    26   restart|reload) 
    27         restart 
    28         ;; 
    29   *) 
    30         echo $"Usage: $0 {start|stop|restart}" 
    31         exit 1 
     10    for route in $(nvram get static_route); do { 
     11      eval "set $(echo $route | sed 's/:/ /g')" 
     12      $DEBUG route add -net $1 netmask $2 gw $3 metric $4 dev $5 
     13    } done 
     14    ;; 
    3215esac 
    33  
    34 exit $? 
    35  
  • trunk/openwrt/target/default/target_skeleton/etc/init.d/rcS

    r197 r211  
    11#!/bin/sh 
    2  
    32 
    43# Start all init scripts in /etc/init.d 
     
    1110 
    1211     case "$i" in 
    13         *.sh) 
    14             # Source shell script for speed. 
    15             ( 
    16                 trap - INT QUIT TSTP 
    17                 set start 
    18                 . $i 
    19             ) 
    20             ;; 
    21         *) 
    22             # No sh extension, so fork subprocess. 
    23             $i start 
    24             ;; 
     12        *.sh) 
     13            # Source shell script for speed. 
     14            ( 
     15                trap - INT QUIT TSTP 
     16                set start 
     17                . $i 
     18            ) 
     19            ;; 
     20        *) 
     21            # No sh extension, so fork subprocess. 
     22            $i start 
     23            ;; 
    2524    esac 
    2625done 
    27  
  • trunk/openwrt/target/default/target_skeleton/etc/inittab

    r197 r211  
    1 # /etc/inittab 
    2 # 
    3 # Copyright (C) 2001 Erik Andersen <andersen@codepoet.org> 
    4 # 
    5 # Note: BusyBox init doesn't support runlevels.  The runlevels field is 
    6 # completely ignored by BusyBox init. If you want runlevels, use 
    7 # sysvinit. 
    8 # 
    9 # Format for each entry: <id>:<runlevels>:<action>:<process> 
    10 # 
    11 # id        == tty to run on, or empty for /dev/console 
    12 # runlevels == ignored 
    13 # action    == one of sysinit, respawn, askfirst, wait, and once 
    14 # process   == program to run 
    15  
    16 # Startup the system 
    17 null::sysinit:/bin/mount -o remount,rw / 
    18 null::sysinit:/bin/mount -t proc proc /proc 
    19 null::sysinit:/bin/mount -a 
    20 null::sysinit:/bin/hostname -F /etc/hostname 
    21 null::sysinit:/sbin/ifconfig lo 127.0.0.1 up 
    22 null::sysinit:/sbin/route add -net 127.0.0.0 netmask 255.0.0.0 lo 
    23 # now run any rc scripts 
    241::sysinit:/etc/init.d/rcS 
    25  
    26 # Set up a couple of getty's 
    27 tty1::respawn:/sbin/getty 38400 tty1 
    28 tty2::respawn:/sbin/getty 38400 tty2 
    29  
    30 # Put a getty on the serial port 
    31 #ttyS0::respawn:/sbin/getty -L ttyS0 115200 vt100 
    32  
    33 # Logging junk 
    34 null::sysinit:/bin/touch /var/log/messages 
    35 null::respawn:/sbin/syslogd -n -m 0 
    36 null::respawn:/sbin/klogd -n 
    37 tty3::respawn:/usr/bin/tail -f /var/log/messages 
    38  
    39 # Stuff to do for the 3-finger salute 
    40 ::ctrlaltdel:/sbin/reboot 
    41  
    42 # Stuff to do before rebooting 
    43 null::shutdown:/usr/bin/killall klogd 
    44 null::shutdown:/usr/bin/killall syslogd 
    45 null::shutdown:/bin/umount -a -r 
    46 null::shutdown:/sbin/swapoff -a 
    47  
     2::shutdown:/sbin/halt 
     3ttys/0::respawn:/bin/login 
  • trunk/openwrt/target/default/target_skeleton/etc/profile

    r197 r211  
    1 # ~/.bashrc: executed by bash(1) for non-login interactive shells. 
     1#!/bin/sh 
     2[ -f /etc/banner ] && cat /etc/banner 
    23 
    3 export PATH=\ 
    4 /bin:\ 
    5 /sbin:\ 
    6 /usr/bin:\ 
    7 /usr/sbin:\ 
    8 /usr/bin/X11:\ 
    9 /usr/local/bin 
     4export PATH=/bin:/sbin:/usr/bin:/usr/sbin 
     5export PS1='\u@\h:\w\$ ' 
    106 
    11 # If running interactively, then: 
    12 if [ "$PS1" ]; then 
    13  
    14     if [ "$BASH" ]; then 
    15         export PS1="[\u@\h \W]\\$ " 
    16         alias ll='/bin/ls --color=tty -laFh' 
    17         alias ls='/bin/ls --color=tty -F' 
    18         export LS_COLORS='no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.gz=01;31:*.bz2=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.jpg=01;35:*.jpeg=01;35:*.png=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.mpg=01;35:*.mpeg=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:'; 
    19     else 
    20       if [ "`id -u`" -eq 0 ]; then  
    21         export PS1='# ' 
    22       else 
    23         export PS1='$ ' 
    24       fi 
    25     fi 
    26  
    27     export USER=`id -un` 
    28     export LOGNAME=$USER 
    29     export HOSTNAME=`/bin/hostname` 
    30     export HISTSIZE=1000 
    31     export HISTFILESIZE=1000 
    32     export PAGER='/bin/more ' 
    33     export EDITOR='/bin/vi' 
    34     export INPUTRC=/etc/inputrc 
    35     export DMALLOC_OPTIONS=debug=0x34f47d83,inter=100,log=logfile 
    36  
    37     ### Some aliases 
    38     alias ps2='ps facux ' 
    39     alias ps1='ps faxo "%U %t %p %a" ' 
    40     alias af='ps af' 
    41     alias cls='clear' 
    42     alias df='df -h' 
    43     alias indent='indent -bad -bap -bbo -nbc -br -brs -c33 -cd33 -ncdb -ce -ci4 -cli0 -cp33 -cs -d0 -di1 -nfc1 -nfca -hnl -i4 -ip0 -l75 -lp -npcs -npsl -nsc -nsob -nss -ts4 ' 
    44     #alias bc='bc -l' 
    45     alias minicom='minicom -c on' 
    46     alias calc='calc -Cd ' 
    47     alias bc='calc -Cd ' 
    48 fi; 
     7alias less=more 
     8alias vim=vi 
     9ldd() { LD_TRACE_LOADED_OBJECTS=1 $*; } 
  • trunk/openwrt/target/default/target_skeleton/usr/share/udhcpc/default.script

    r197 r211  
    11#!/bin/sh 
     2# udhcpc script edited by Tim Riker <Tim@Rikers.org> 
     3# (slightly modified) 
    24 
    3 # udhcpc script edited by Tim Riker <Tim@Rikers.org> 
     5[ -z "$1" ] && echo "Error: should be run by udhcpc" && exit 1 
    46 
    5 [ -z "$1" ] && echo "Error: should be called from udhcpc" && exit 1 
    6  
    7 RESOLV_CONF="/etc/resolv.conf" 
    8 [ -n "$broadcast" ] && BROADCAST="broadcast $broadcast" 
    9 [ -n "$subnet" ] && NETMASK="netmask $subnet" 
     7RESOLV_CONF="/tmp/resolv.conf" 
    108 
    119case "$1" in 
    12         deconfig) 
    13                 /sbin/ifconfig $interface 0.0.0.0 
    14                 ;; 
     10        deconfig) 
     11                ifconfig $interface 0.0.0.0 
     12                ;; 
    1513 
    16         renew|bound) 
    17                 /sbin/ifconfig $interface $ip $BROADCAST $NETMASK 
     14        renew|bound) 
     15                ifconfig $interface $ip \ 
     16                ${broadcast:+broadcast $broadcast} \ 
     17                ${subnet:+netmask $subnet} 
    1818 
    19                 if [ -n "$router" ] ; then 
    20                         echo "deleting routers" 
    21                         while route del default gw 0.0.0.0 dev $interface ; do 
    22                                 : 
    23                         done 
     19                if [ -n "$router" ] ; then 
     20                        echo "deleting routers" 
     21                        while route del default gw 0.0.0.0 dev $interface ; do 
     22                                : 
     23                        done 
    2424 
    25                         for i in $router ; do 
    26                                 route add default gw $i dev $interface 
    27                         done 
    28                 fi 
     25                        for i in $router ; do 
     26                                route add default gw $i dev $interface 
     27                        done 
     28                fi 
    2929 
    30                 echo -n > $RESOLV_CONF 
    31                 [ -n "$domain" ] && echo search $domain >> $RESOLV_CONF 
    32                 for i in $dns ; do 
    33                         echo adding dns $i 
    34                         echo nameserver $i >> $RESOLV_CONF 
    35                 done 
    36                 ;; 
     30                echo -n > $RESOLV_CONF 
     31                ${domain:+echo search $domain >> $RESOLV_CONF} 
     32                for i in $dns ; do 
     33                        echo adding dns $i 
     34                        echo nameserver $i >> $RESOLV_CONF 
     35                done 
     36                ;; 
    3737esac 
    38  
    3938exit 0 
Note: See TracChangeset for help on using the changeset viewer.